# Running processing chains

## Name

Running processing chains --

## Synopsis

    #include <ms.h>

    void        ms_start                        (MSSync *sync);
    void        ms_stop                         (MSSync *sync);

## Description

## Details

### ms_start ()

    void        ms_start                        (MSSync *sync);

Starts a thread that will shedule all processing chains attached to the synchronisation source `sync`.

`sync` : | A synchronisation source to be started.

### ms_stop ()

    void        ms_stop                         (MSSync *sync);

Stop the thread that was sheduling the processing chains attached to the synchronisation source `sync`. The processing chains are kept unchanged, no object is freed. The synchronisation source can be restarted using `ms_start()`.

`sync` : | A synchronisation source to be stopped.